%define module_name Algorithm-LCS-XS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Diff.pm) perl(ExtUtils/MakeMaker.pm) perl(LCS/BV.pm) perl(LCS/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.0.2
Release: alt2
Summary: Fast (XS) implementation of the                  Longest Common Subsequence (LCS) Algorithm
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JO/JOESUF/%{module_name}-v%{version}.tar.gz

%description
Algorithm/LCS/XS
================

Algorithm::LCS::XS reimplements Algorithm::Diff's core loop in XS,
and provides a simple OO interface to it.

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 2.0.2-alt2
- rebuild with perl 5.38

* Wed Sep 21 2022 Igor Vlasenko <viy@altlinux.org> 2.0.2-alt1
- updated by package builder

* Sat Sep 10 2022 Igor Vlasenko <viy@altlinux.org> 2.0.1-alt1
- updated by package builder

* Wed Sep 07 2022 Igor Vlasenko <viy@altlinux.org> 1.08-alt1
- updated by package builder

* Tue Sep 06 2022 Igor Vlasenko <viy@altlinux.org> 1.07-alt1
- initial import by package builder

